/*
	File:		InitMac.h

	Contains:	This demonstrates a program with a Finder-like label menu.
				Each label menu item has a 12x16 pixel 'cicn and the
				color and name of all the items are updated if the user
				changes anything in the "Labels" control panel.
				This also demonstrates how to change a menu tile to an icon.

	Written by: David Hayward	

	Copyright:	Copyright  1993-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/6/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				4/8/94 				 		updated project to use the new Universal Header
								  			added routine to change a menu title
											added abillity to change Label menu's title to a
											small icon (for info on how this is done see IM:Text
											page 7-39

*/


#ifndef _INITMAC_
#define _INITMAC_


#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __TRAPS__
#include <Traps.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
short			NumToolboxTraps		( void ) ;
TrapType		GetTrapType			( short theTrap ) ;
Boolean			TrapAvailable		( short theTrap ) ;
Boolean			WNEAvailable		( void ) ;
void			CheckQuickDraw		( void ) ;
void			InitToolBox			( short numberOfMasters ) ;

/**\
|**| ==============================================================================
|**| PUBLIC GLOBAL EXTERNS
|**| ==============================================================================
\**/
extern Boolean		WNE_available ;
extern Boolean		HasGWorlds ;
extern Boolean		HasCQD ;


#endif
